package com.danitheskunk.skunkworks.audio;

public class AudioBuffer {
	private final double[] left;
	private final double[] right;

	public AudioBuffer(int size) {
		left = new double[size];
		right = new double[size];
	}

	public double getLeft(int pos) {
		return left[pos];
	}

	public double getRight(int pos) {
		return right[pos];
	}

	public int getSize() {
		return left.length;
	}

	public void setSample(int pos, double left, double right) {
		this.left[pos] = left;
		this.right[pos] = right;
	}
}
